<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<link rel="stylesheet" href="css/html.css">
<link rel="stylesheet" href="css/game.css">
<link rel="stylesheet" href="css/player.css">

<script type="text/javascript" src="js/lib.js"></script>
<script type="text/javascript" src="js/map.js"></script>
<script type="text/javascript" src="js/tile.js"></script>
<script type="text/javascript" src="js/sprite.js"></script>
<script type="text/javascript" src="js/msgbox.js"></script>
<script type="text/javascript" src="js/collision.js"></script>
<script type="text/javascript" src="js/sound.js"></script>
<script type="text/javascript" src="js/caching.js"></script>
<script type="text/javascript" src="js/cookies.js"></script>

<script type="text/javascript" src="js/special_items.js"></script>
<script type="text/javascript" src="js/items_objects.js"></script>
<script type="text/javascript" src="js/items_tiled.js"></script>
<script type="text/javascript" src="js/ai.js"></script>

<script type="text/javascript" src="js/highscore.js"></script>
<script type="text/javascript" src="js/items.js"></script>
<script type="text/javascript" src="js/player.js"></script>
<script type="text/javascript" src="js/globaleffect.js"></script>
<script type="text/javascript" src="js/game.js"></script>

<script type="text/javascript" src="js/map_levels.js"></script>
</head>
<body onClick="mouseEvent()">

<div class="gamefield" id="gamefield"></div>

<div id="cacheforsound" class="msgboxhide">
<embed src="sound/shoot.wav" width="1px" height="1px" autostart="false" id="shoot_sound" enablejavascript="true"></embed>
<embed src="sound/explosion.wav" width="1px" height="1px" autostart="false" id="explosion_sound" enablejavascript="true"></embed>
</div>

<table cellpadding="0px" cellspacing="0px">
<tr><td>

<table cellpadding="0px" cellspacing="0px">
<tr><td>

<table id="gamefieldplace" cellpadding="0px" cellspacing="0px">
<tr>
	<td><img src="img/iupperleft.png"></td>
	<td style="background-image: url('img/iupper.png'); background-repeat: repeat;"></td>
	<td><img src="img/iupperright.png"></td>
</tr>
<tr>
	<td style="background-image: url('img/imidleft.png'); background-repeat: repeat;"></td>
	<td><div class="gamefield"></div></td>
	<td style="background-image: url('img/imidright.png'); background-repeat: repeat;"></td>
</tr>
<tr>
	<td><img src="img/ibottomleft.png"></td>
	<td style="background-image: url('img/ibottom.png'); background-repeat: repeat;"></td>
	<td><img src="img/ibottomright.png"></td>
</tr>
</table>

</td>
<td valign="top">

<div class="pfield" id="p1field">
<table cellpadding="0px" cellspacing="0px" width="100%">
<tr>
	<td><img src="img/iupperleft.png"></td>
	<td style="background-image: url('img/iupper.png'); background-repeat: repeat;"></td>
	<td><img src="img/iupperright.png"></td>
</tr>
<tr>
	<td style="background-image: url('img/imidleft.png'); background-repeat: repeat;"></td>
	<td>
	
<table cellpadding="0px" border="0px" width="100%">
<tr><th colspan="3" id="player1name" class="playername">Player 1</th></tr>
<tr>
	<td><div id="player1item" class="playeritem"></div></td>
	<td width="100%">&nbsp;</td>
	<td><div id="player1life" class="playerlife"></div></td>
</tr>
<tr><td colspan="3" align="right" id="player1score" class="playerscore">00000000</td></tr>	
</table>

	</td>
	<td style="background-image: url('img/imidright.png'); background-repeat: repeat;"></td>
</tr>
<tr>
	<td><img src="img/ibottomleft.png"></td>
	<td style="background-image: url('img/ibottom.png'); background-repeat: repeat;"></td>
	<td><img src="img/ibottomright.png"></td>
</tr>
</table>
</div>

<div class="pfield" id="p2field">
<table cellpadding="0px" cellspacing="0px" width="100%">
<tr>
	<td><img src="img/iupperleft.png"></td>
	<td style="background-image: url('img/iupper.png'); background-repeat: repeat;"></td>
	<td><img src="img/iupperright.png"></td>
</tr>
<tr>
	<td style="background-image: url('img/imidleft.png'); background-repeat: repeat;"></td>
	<td>
	
<table cellpadding="0px" border="0px" width="100%">
<tr><th colspan="3" id="player2name" class="playername">AI Unit 1</th></tr>
<tr>
	<td><div id="player2item" class="playeritem"></div></td>
	<td width="100%">&nbsp;</td>
	<td><div id="player2life" class="playerlife"></div></td>
</tr>
<tr><td colspan="3" align="right" id="player2score" class="playerscore">00000000</td></tr>	
</table>

	</td>
	<td style="background-image: url('img/imidright.png'); background-repeat: repeat;"></td>
</tr>
<tr>
	<td><img src="img/ibottomleft.png"></td>
	<td style="background-image: url('img/ibottom.png'); background-repeat: repeat;"></td>
	<td><img src="img/ibottomright.png"></td>
</tr>
</table>
</div>

<div class="pfield" id="p3field">
<table cellpadding="0px" cellspacing="0px" width="100%">
<tr>
	<td><img src="img/iupperleft.png"></td>
	<td style="background-image: url('img/iupper.png'); background-repeat: repeat;"></td>
	<td><img src="img/iupperright.png"></td>
</tr>
<tr>
	<td style="background-image: url('img/imidleft.png'); background-repeat: repeat;"></td>
	<td>
	
<table cellpadding="0px" border="0px" width="100%">
<tr><th colspan="3" id="player3name" class="playername">AI Unit 2</th></tr>
<tr>
	<td><div id="player3item" class="playeritem"></div></td>
	<td width="100%">&nbsp;</td>
	<td><div id="player3life" class="playerlife"></div></td>
</tr>
<tr><td colspan="3" align="right" id="player3score" class="playerscore">00000000</td></tr>	
</table>

	</td>
	<td style="background-image: url('img/imidright.png'); background-repeat: repeat;"></td>
</tr>
<tr>
	<td><img src="img/ibottomleft.png"></td>
	<td style="background-image: url('img/ibottom.png'); background-repeat: repeat;"></td>
	<td><img src="img/ibottomright.png"></td>
</tr>
</table>
</div>

<div class="pfield" id="p4field">
<table cellpadding="0px" cellspacing="0px" width="100%">
<tr>
	<td><img src="img/iupperleft.png"></td>
	<td style="background-image: url('img/iupper.png'); background-repeat: repeat;"></td>
	<td><img src="img/iupperright.png"></td>
</tr>
<tr>
	<td style="background-image: url('img/imidleft.png'); background-repeat: repeat;"></td>
	<td>
	
<table cellpadding="0px" border="0px" width="100%">
<tr><th colspan="3" id="player4name" class="playername">AI Unit 3</th></tr>
<tr>
	<td><div id="player4item" class="playeritem"></div></td>
	<td width="100%">&nbsp;</td>
	<td><div id="player4life" class="playerlife"></div></td>
</tr>
<tr><td colspan="3" align="right" id="player4score" class="playerscore">00000000</td></tr>	
</table>

	</td>
	<td style="background-image: url('img/imidright.png'); background-repeat: repeat;"></td>
</tr>
<tr>
	<td><img src="img/ibottomleft.png"></td>
	<td style="background-image: url('img/ibottom.png'); background-repeat: repeat;"></td>
	<td><img src="img/ibottomright.png"></td>
</tr>
</table>
</div>

</td></tr>
<tr><td colspan="2" align="center">
<button class="button" value="Pause" onClick="pauseGame()" id="startpausebutton" >
<table cellpadding="0px" border="0px"><tr><td><img src="img/pause.png" width="32px" height="32px" id="pausebuttonicon"></td><td id="pausebuttontext">Pause</td></tr></table>
</button> 
<button class="button" value="Level Selecter" onClick="showBox('levelSelecter')" id="levelbutton">
<table cellpadding="0px" border="0px"><tr><td><img src="img/levelselector.png" width="32px" height="32px"></td><td>Level Selector</td></tr></table>
</button>
<button class="button" value="HighScore" onClick="updateHighScoreTable(); showBox('topplayers');" id="highscorebutton">
<table cellpadding="0px" border="0px"><tr><td><img src="img/highscore.png" width="32px" height="32px"></td><td>HighScore</td></tr></table>
</button> 
<button class="button" value="Credits" onClick="showBox('credits')" id="creditsbutton">
<table cellpadding="0px" border="0px"><tr><td><img src="img/credits.png" width="32px" height="32px"></td><td>Credits</td></tr></table>
</button>
<button class="button" value="Help" onClick="showBox('help')" id="helpbutton">
<table cellpadding="0px" border="0px"><tr><td><img src="img/help.png" width="32px" height="32px"></td><td>Help</td></tr></table>
</button> 
</td></tr>
</table>

<div id="cacheMSGBOX" class="msgboxhide">
<table  cellpadding="0px" cellspacing="0px" width="100%">
<tr>
	<td><img src="img/ui_olinks.png"></td>
	<td style="background-image: url('img/ui_tline.png'); background-repeat: repeat;"></td>
	<td><img src="img/ui_orechts.png"></td>
</tr>
<tr>
	<td style="background-image: url('img/ui_lline.png'); background-repeat: repeat;"></td>
	<td style="background-image: url('img/ui_background.png'); background-repeat: repeat;" width="100%">
<div class="msgboxdataviewpart">
<div>
<img src="img/title.png" title="Logo" width="450px" height="300px" />
<p align="center">
<table cellpadding="0px" cellspacing="0px">
<tr><td width="55px" valign="top"><img src="img/caching.png" title="caching img" width="48px" height="48px" /></td><td>
<strong>PreCaching</strong><br />
<strong>Please Wait</strong><br />
</td></tr></table></p>
</div>
</div>
	</td>
	<td style="background-image: url('img/ui_rline.png'); background-repeat: repeat;"></td>
</tr>
<tr>
	<td><img src="img/ui_ulinks.png"></td>
	<td style="background-image: url('img/ui_bline.png'); background-repeat: repeat;"></td>
	<td><img src="img/ui_urechts.png"></td>
</tr>
</table>
</div>

<div id="debugfield"></div>
<div id="msgboxviewpart" class="msgboxhide">
<table  cellpadding="0px" cellspacing="0px" width="100%">
<tr>
	<td><img src="img/ui_olinks.png"></td>
	<td style="background-image: url('img/ui_tline.png'); background-repeat: repeat;"></td>
	<td><img src="img/ui_orechts.png"></td>
</tr>
<tr>
	<td style="background-image: url('img/ui_lline.png'); background-repeat: repeat;"></td>
	<td style="background-image: url('img/ui_background.png'); background-repeat: repeat;" width="100%">
	
<div class="msgboxdataviewpart">
<div id="msgboxdata"></div>
<input type="button" value="Hide" onClick="hideMSGBox()" />
</div>
	</td>
	<td style="background-image: url('img/ui_rline.png'); background-repeat: repeat;"></td>
</tr>
<tr>
	<td><img src="img/ui_ulinks.png"></td>
	<td style="background-image: url('img/ui_bline.png'); background-repeat: repeat;"></td>
	<td><img src="img/ui_urechts.png"></td>
</tr>
</table>
</div>

<div id="playerRegister" class="msgboxhide">
<table  cellpadding="0px" cellspacing="0px" width="100%">
<tr>
	<td><img src="img/ui_olinks.png"></td>
	<td style="background-image: url('img/ui_tline.png'); background-repeat: repeat;"></td>
	<td><img src="img/ui_orechts.png"></td>
</tr>
<tr>
	<td style="background-image: url('img/ui_lline.png'); background-repeat: repeat;"></td>
	<td style="background-image: url('img/ui_background.png'); background-repeat: repeat;" width="100%">
	
<div class="msgboxdataviewpart" id="playerRegisterdata">
<div><img src="img/title.png" title="Logo" width="450px" height="300px" />
<p align="center">
<table cellpadding="0px" cellspacing="0px">
<tr><td width="55px" valign="top"><img src="img/register.png"></td><td>
<form name="playerregister">
<strong>Player 1:</strong> <input type="text" maxlength="7" name="player1name" value="" /><br />
<strong>Player 2:</strong> <input type="text" maxlength="7" name="player2name" value="" />
</form>
</td></tr>
</table>
</p>
</div>
<input type="button" value="Start Game" onClick="hideBox('playerRegister');startGame();" class="button" />
</div>

	</td>
	<td style="background-image: url('img/ui_rline.png'); background-repeat: repeat;"></td>
</tr>
<tr>
	<td><img src="img/ui_ulinks.png"></td>
	<td style="background-image: url('img/ui_bline.png'); background-repeat: repeat;"></td>
	<td><img src="img/ui_urechts.png"></td>
</tr>
</table>
</div>

<div id="levelSelecter" class="msgboxhide">
<table  cellpadding="0px" cellspacing="0px" width="100%">
<tr>
	<td><img src="img/ui_olinks.png"></td>
	<td style="background-image: url('img/ui_tline.png'); background-repeat: repeat;"></td>
	<td><img src="img/ui_orechts.png"></td>
</tr>
<tr>
	<td style="background-image: url('img/ui_lline.png'); background-repeat: repeat;"></td>
	<td style="background-image: url('img/ui_background.png'); background-repeat: repeat;" width="100%">
<div class="msgboxdataviewpart">
<div>
<strong>Select a Level</strong><br />
<img src="img/lvl00.png" title="level 1" onClick="selectMap(0)" class="levelselecter" />
<img src="img/lvl01.png" title="level 2" onClick="selectMap(1)" class="levelselecter" />
<img src="img/lvl02.png" title="level 3" onClick="selectMap(2)" class="levelselecter" /><br />
<img src="img/lvl03.png" title="level 4" onClick="selectMap(3)" class="levelselecter" />
<img src="img/lvl04.png" title="level 5" onClick="selectMap(4)" class="levelselecter" />
<img src="img/lvl05.png" title="level 6" onClick="selectMap(5)" class="levelselecter" />
</div>
<input type="button" value="Hide" onClick="hideBox('levelSelecter');pauseGame();startGame();" />
</div>
	</td>
	<td style="background-image: url('img/ui_rline.png'); background-repeat: repeat;"></td>
</tr>
<tr>
	<td><img src="img/ui_ulinks.png"></td>
	<td style="background-image: url('img/ui_bline.png'); background-repeat: repeat;"></td>
	<td><img src="img/ui_urechts.png"></td>
</tr>
</table>
</div>

<div id="help" class="msgboxhide">
<table cellpadding="0px" cellspacing="0px" width="100%">
<tr>
	<td><img src="img/ui_olinks.png"></td>
	<td style="background-image: url('img/ui_tline.png'); background-repeat: repeat;"></td>
	<td><img src="img/ui_orechts.png"></td>
</tr>
<tr>
	<td style="background-image: url('img/ui_lline.png'); background-repeat: repeat;"></td>
	<td style="background-image: url('img/ui_background.png'); background-repeat: repeat;" width="100%">
<div class="msgboxdataviewpart">
<div>
<strong>Help</strong>
<p align="justify">
The Goal of the game is to score as much points as possible by destroying the other players and collecting bonus items. The player with the highest score wins the game.
</p>
<p align="center">
<table cellpadding="0px" cellspacing="0px" width="80%">
<tr><th colspan="2" align="left">Player 1</th><th colspan="2" align="left">Player 2</th></tr>
<tr>
	<td width="20px"><img src="img/go-up.png" widht="16px" height="16px"></td><td>w</td>
	<td width="20px"><img src="img/go-up.png" widht="16px" height="16px"></td><td>o</td>
</tr>
<tr>
	<td width="20px"><img src="img/go-left.png" widht="16px" height="16px"></td><td>a</td>
	<td width="20px"><img src="img/go-left.png" widht="16px" height="16px"></td><td>k</td>
</tr>
<tr>
	<td width="20px"><img src="img/go-down.png" widht="16px" height="16px"></td><td>s</td>
	<td width="20px"><img src="img/go-down.png" widht="16px" height="16px"></td><td>l</td>
</tr>
<tr>
	<td width="20px"><img src="img/go-right.png" widht="16px" height="16px"></td><td>d</td>
	<td width="20px"><img src="img/go-right.png" widht="16px" height="16px"></td><td>; / &ouml;</td>
</tr>
<tr>
	<td colspan="4">&nbsp;</td>
</tr>
<tr>
	<td width="20px"><img src="img/fire1.png" widht="16px" height="16px"></td><td>v</td>
	<td width="20px"><img src="img/fire1.png" widht="16px" height="16px"></td><td>; / &auml;</td>
</tr>
<tr>
	<td width="20px"><img src="img/fire2.png" widht="16px" height="16px"></td><td>b</td>
	<td width="20px"><img src="img/fire2.png" widht="16px" height="16px"></td><td>' / #</td>
</tr>
</table>
</p>
</div>
<input type="button" value="Hide" onClick="hideBox('help');" />
</div>
	</td>
	<td style="background-image: url('img/ui_rline.png'); background-repeat: repeat;"></td>
</tr>
<tr>
	<td><img src="img/ui_ulinks.png"></td>
	<td style="background-image: url('img/ui_bline.png'); background-repeat: repeat;"></td>
	<td><img src="img/ui_urechts.png"></td>
</tr>
</table>
</div>

<div id="credits" class="msgboxhide">
<table  cellpadding="0px" cellspacing="0px" width="100%">
<tr>
	<td><img src="img/ui_olinks.png"></td>
	<td style="background-image: url('img/ui_tline.png'); background-repeat: repeat;"></td>
	<td><img src="img/ui_orechts.png"></td>
</tr>
<tr>
	<td style="background-image: url('img/ui_lline.png'); background-repeat: repeat;"></td>
	<td style="background-image: url('img/ui_background.png'); background-repeat: repeat;" width="100%">
<div class="msgboxdataviewpart">
<div>
<p>
<strong>Team:</strong><br>
Daniel Kropshofer<br>
Mario Schekulin<br>
Marc Menghin
</p>
<p>
<strong>Icons from:</strong> <br>
<a href="http://tango-project.org" target="_blank">Tango Desktop Project</a>
</p>
<p>
<strong>Software Used:</strong><br>
<a href="http://www.eclipse.org/" target="_blank">Eclipse</a> + <a href="http://www.eclipse.org/webtools/" target="_blank">Web Tools Platform</a><br>
<a href="http://www.inkscape.org/" target="_blank">Inkscape</a><br>
<a href="http://www.gimp.org/" target="_blank">GIMP</a><br>

</p>
<p>
<strong>Tested with:</strong> <br>
<a href="http://www.opera.com/" target="_blank">Opera</a><br>
<a href="http://www.mozilla.com/" target="_blank">FireFox</a><br>
<a href="http://www.microsoft.com/" target="_blank">Internet Explorer</a><br>
</p>
</div>
<input type="button" value="Hide" onClick="hideBox('credits');" />
</div>
	</td>
	<td style="background-image: url('img/ui_rline.png'); background-repeat: repeat;"></td>
</tr>
<tr>
	<td><img src="img/ui_ulinks.png"></td>
	<td style="background-image: url('img/ui_bline.png'); background-repeat: repeat;"></td>
	<td><img src="img/ui_urechts.png"></td>
</tr>
</table>
</div>

<div id="topplayers" class="msgboxhide">
<table cellpadding="0px" cellspacing="0px" width="100%">
<tr>
	<td><img src="img/ui_olinks.png"></td>
	<td style="background-image: url('img/ui_tline.png'); background-repeat: repeat;"></td>
	<td><img src="img/ui_orechts.png"></td>
</tr>
<tr>
	<td style="background-image: url('img/ui_lline.png'); background-repeat: repeat;"></td>
	<td style="background-image: url('img/ui_background.png'); background-repeat: repeat;" width="100%">
<div class="msgboxdataviewpart">
<div>
<strong>HighScore</strong><br />
<table cellpadding="0px" cellspacing="0px" width="100%">
<tr>
<td>01.</td>
<td width="100%" id="highscore_name_0"></td>
<td align="right" id="highscore_score_0"></td>
</tr>
<tr>
<td>02.</td>
<td width="100%" id="highscore_name_1"></td>
<td align="right" id="highscore_score_1"></td>
</tr>
<tr>
<td>03.</td>
<td width="100%" id="highscore_name_2"></td>
<td align="right" id="highscore_score_2"></td>
</tr>
<tr>
<td>04.</td>
<td width="100%" id="highscore_name_3"></td>
<td align="right" id="highscore_score_3"></td>
</tr>
<tr>
<td>05.</td>
<td width="100%" id="highscore_name_4"></td>
<td align="right" id="highscore_score_4"></td>
</tr>
<tr>
<td>06.</td>
<td width="100%" id="highscore_name_5"></td>
<td align="right" id="highscore_score_5"></td>
</tr>
<tr>
<td>07.</td>
<td width="100%" id="highscore_name_6"></td>
<td align="right" id="highscore_score_6"></td>
</tr>
<tr>
<td>08.</td>
<td width="100%" id="highscore_name_7"></td>
<td align="right" id="highscore_score_7"></td>
</tr>
<tr>
<td>09.</td>
<td width="100%" id="highscore_name_8"></td>
<td align="right" id="highscore_score_8"></td>
</tr>
<tr>
<td>10.</td>
<td width="100%" id="highscore_name_9"></td>
<td align="right" id="highscore_score_9"></td>
</tr>
<tr>
<td>11.</td>
<td width="100%" id="highscore_name_10"></td>
<td align="right" id="highscore_score_10"></td>
</tr>
<tr>
<td>12.</td>
<td width="100%" id="highscore_name_11"></td>
<td align="right" id="highscore_score_11"></td>
</tr>
<tr>
<td>13.</td>
<td width="100%" id="highscore_name_12"></td>
<td align="right" id="highscore_score_12"></td>
</tr>
<tr>
<td>14.</td>
<td width="100%" id="highscore_name_13"></td>
<td align="right" id="highscore_score_13"></td>
</tr>
<tr>
<td>15.</td>
<td width="100%" id="highscore_name_14"></td>
<td align="right" id="highscore_score_14"></td>
</tr>
<td>16.</td>
<td width="100%" id="highscore_name_15"></td>
<td align="right" id="highscore_score_15"></td>
</tr>
<td>17.</td>
<td width="100%" id="highscore_name_16"></td>
<td align="right" id="highscore_score_16"></td>
</tr>
<td>18.</td>
<td width="100%" id="highscore_name_17"></td>
<td align="right" id="highscore_score_17"></td>
</tr>
<td>19.</td>
<td width="100%" id="highscore_name_18"></td>
<td align="right" id="highscore_score_18"></td>
</tr>
<td>20.</td>
<td width="100%" id="highscore_name_19"></td>
<td align="right" id="highscore_score_19"></td>
</tr>
</table>
</div>
<input type="button" value="Hide" onClick="hideBox('topplayers');" />
</div>
	</td>
	<td style="background-image: url('img/ui_rline.png'); background-repeat: repeat;"></td>
</tr>
<tr>
	<td><img src="img/ui_ulinks.png"></td>
	<td style="background-image: url('img/ui_bline.png'); background-repeat: repeat;"></td>
	<td><img src="img/ui_urechts.png"></td>
</tr>
</table>
</div>


<script type="text/javascript">
	initGame();
	startCaching();
</script>

</body>
</html>
